DWGE(4)

NAME
dwge - Designware GMAC 10/100/Gigabit Ethernet device

SYNOPSIS
dwge* at fdt?
rgephy* at mii?

DESCRIPTION
The dwge driver provides support for various Ethernet controllers based on the Synopsis Designware GMAC core. These controllers are typically found on SoCs, such as the various ARM SoCs from Allwinner, starting with the Allwinner A20.

The dwge driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT [mediaopt half-duplex]
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX [mediaopt half-duplex]
    Use 100baseTX, half duplex

SEE ALSO
arp(4), ifmedia(4), inet(4), intro(4), netintro(4), rgephy(4), hostname.if(5), ifconfig(8)

HISTORY
OpenBSD support for dwge first appeared in OpenBSD 6.1.

AUTHORS
-nosplit The dwge driver was written by Matt Thomas and Martin Husemann for NetBSD and ported to OpenBSD by Patrick Wildt <patrick@openbsd.org> and Mark Kettenis <kettenis@openbsd.org>.